## GgitIndexEntryResolveUndo GgitIndexEntryResolveUndo |

## Functions

GgitIndexEntryResolveUndo * | ggit_index_entries_resolve_undo_get ()
GgitIndexEntryResolveUndo * | ggit_index_entries_resolve_undo_get_by_file ()
GgitIndexEntriesResolveUndo * | ggit_index_entries_resolve_undo_ref ()
void | ggit_index_entries_resolve_undo_unref ()
guint | ggit_index_entries_resolve_undo_size ()
GgitIndexEntryResolveUndo * | ggit_index_entry_resolve_undo_ref ()
void | ggit_index_entry_resolve_undo_unref ()
guint | ggit_index_entry_resolve_undo_get_mode ()
GgitOId * | ggit_index_entry_resolve_undo_get_id ()
GFile * | ggit_index_entry_resolve_undo_get_file ()

## Types and Values

| GgitIndexEntriesResolveUndo
| GgitIndexEntryResolveUndo

## Object Hierarchy

        GBoxed
        ├── GgitIndexEntriesResolveUndo
        ╰── GgitIndexEntryResolveUndo

## Description

## Functions

### ggit_index_entries_resolve_undo_get ()

    GgitIndexEntryResolveUndo *
    ggit_index_entries_resolve_undo_get (GgitIndexEntriesResolveUndo *entries,
                                         guint idx);

Get a GgitIndexEntryResolveUndo by index. Note that the returned GgitIndexEntryResolveUndo is _only_ valid as long as:

1) The associated index has been closed 2) The entry has not been removed (see `ggit_index_remove()`) 3) The index has not been refreshed (see `ggit_index_read()`)

#### Parameters

entries | a GgitIndexEntriesResolveUndo. |
idx | the index of the entry. |

#### Returns

a GgitIndexEntryResolveUndo.

[transfer full]

### ggit_index_entries_resolve_undo_get_by_file ()

    GgitIndexEntryResolveUndo *
    ggit_index_entries_resolve_undo_get_by_file
                                   (GgitIndexEntriesResolveUndo *entries,
                                    GFile *file);

Get an resolve_undo entry specified by path. The returned entry is read only and should not be modified by the caller. If the entry could not be found, `NULL` is returned.

#### Parameters

entries | a GgitIndexEntriesResolveUndo. |
file | a GFile. |

#### Returns

a GgitIndexEntryResolveUndo or `NULL`.

[transfer full]

### ggit_index_entries_resolve_undo_ref ()

    GgitIndexEntriesResolveUndo *
    ggit_index_entries_resolve_undo_ref (GgitIndexEntriesResolveUndo *entries);

Atomically increments the reference count of `entries` by one. This function is MT-safe and may be called from any thread.

#### Parameters

entries | a GgitIndexEntriesResolveUndo. |

#### Returns

a GgitIndexEntriesResolveUndo.

[transfer none]

### ggit_index_entries_resolve_undo_unref ()

    void
    ggit_index_entries_resolve_undo_unref (GgitIndexEntriesResolveUndo *entries);

Atomically decrements the reference count of `entries` by one. If the reference count drops to 0, `entries` is freed.

#### Parameters

entries | a GgitIndexEntriesResolveUndo. |

### ggit_index_entries_resolve_undo_size ()

    guint
    ggit_index_entries_resolve_undo_size (GgitIndexEntriesResolveUndo *entries);

Get the number of GgitIndexEntryResolveUndo entries.

#### Parameters

entries | a GgitIndexEntriesResolveUndo. |

#### Returns

the number of entries.

### ggit_index_entry_resolve_undo_ref ()

    GgitIndexEntryResolveUndo *
    ggit_index_entry_resolve_undo_ref (GgitIndexEntryResolveUndo *entry);

Atomically increments the reference count of `entry` by one. This function is MT-safe and may be called from any thread.

#### Parameters

entry | a GgitIndexEntryResolveUndo. |

#### Returns

a GgitIndexEntryResolveUndo.

[transfer none]

### ggit_index_entry_resolve_undo_unref ()

    void
    ggit_index_entry_resolve_undo_unref (GgitIndexEntryResolveUndo *entry);

Atomically decrements the reference count of `entry` by one. If the reference count drops to 0, `entry` is freed.

#### Parameters

entry | a GgitIndexEntryResolveUndo. |

### ggit_index_entry_resolve_undo_get_mode ()

    guint
    ggit_index_entry_resolve_undo_get_mode
                                   (GgitIndexEntryResolveUndo *entry,
                                    gint stage);

Get the mode of the index entry. The returned mode contains the modes from stage 1, 2 and 3.

#### Parameters

entry | a GgitIndexEntryResolveUndo. |
stage | the stage (0, 1 or 2). |

#### Returns

the mode.

### ggit_index_entry_resolve_undo_get_id ()

    GgitOId *
    ggit_index_entry_resolve_undo_get_id (GgitIndexEntryResolveUndo *entry,
                                          gint stage);

Get the oid of the index entry.

#### Parameters

entry | a GgitIndexEntryResolveUndo. |
stage | the stage (0, 1 or 2). |

#### Returns

the oid.

### ggit_index_entry_resolve_undo_get_file ()

    GFile *
    ggit_index_entry_resolve_undo_get_file
                                   (GgitIndexEntryResolveUndo *entry);

Get the file of the index entry.

#### Parameters

entry | a GgitIndexEntryResolveUndo. |

#### Returns

a GFile.

[transfer full]

## Types and Values

### GgitIndexEntriesResolveUndo

    typedef struct _GgitIndexEntriesResolveUndo GgitIndexEntriesResolveUndo;

Represents the resolve undo entries in an index object.

### GgitIndexEntryResolveUndo

    typedef struct _GgitIndexEntryResolveUndo GgitIndexEntryResolveUndo;

Represents an resolve undo index entry object.